/*********************************************
				DHTMLX4 Test 

	@author: Rick Spencer
	@filename: core.js
	@version: 1.0
	@filedate: 04/08/2014
	
**********************************************/

	var version				= "";				// To be displayed in the status bar when it has implemented
	var layoutPattern 		= "3T";				// Layout Pttern
	var layoutSkin			= "dhx_skyblue";	// Layout Skin
	var layoutHeaderHeight	= 120;				// Layout cell A height
	var layoutMenuWidth		= 200;				// Layout cell b width
	var image_path 	= "codebase/imgs/";			// setup base images path for the layout
	
	// Get Application version
	/*****************************************************************************************
								DHTMLX TEAM PLEASE READ THIS NOTE
	*****************************************************************************************
	
				THE BELOW CODE CAME FROM YOU AJAX EXAMPLE IN YOUR DOCUMENTATION SITE
							~ YOUR EXAMPLE FOR THIS IS INCORRECT ~
							
	1. there is a typo - q<nodes.lengt; should be q<nodes.length;
	2. nodes[q].getAttribute("name") should be nodes[q].children[0].getAttribute("name")
	3. nodes[q].getAttribute("value") should be nodes[q].children[0].getAttribute("value")
	*****************************************************************************************

	var r = window.dhx4.ajax.getSync("codebase/xml/version.php");
	var items = [];
	var xml = r.xmlDoc.responseXML;
	var nodes = xml.getElementsByTagName("items");
	for (var q=0; q<nodes.length; q++) {
		items.push({
			name:   nodes[q].children[0].getAttribute("name"),
			value:  nodes[q].children[0].getAttribute("value")
		});
	}
	version = items[0]['value'];
	
	***************************************************************************************** */
	
	// Main Layout
	var mainLayout = new dhtmlXLayoutObject({
		parent:     document.body,
		pattern:    layoutPattern,
		skin:       layoutSkin,
		offsets: {
			top:    0,
			right:  0,
			bottom: 0,
			left:   0
		},
		cells: [
			{	// Layout Header
				id:             "a",        		// id of the cell to configure
				header:         false,      		// show header on init				
				height:         layoutHeaderHeight, // cell init height
				collapse:       false,      		// collapse on init
				fix_size:       [true,true]			// fix cell's size, [width,height]
			},
			{	// Layout Main Menu
				id:             "b",        		// id of the cell to configure
				header:         false,     			// show header on init
				width:         	layoutMenuWidth,	// cell init height
				collapse:       false,      		// collapse on init
				fix_size:       [true,true] 		// fix cell's size, [width,height]
			},
			{	// Layout Main Body
				id:             "c",        		// id of the cell to configure
				text:           " ",				// header text
				header:         true,      			// show header on init				
				collapse:       false,      		// collapse on init
				fix_size:       [true,true]			// fix cell's size, [width,height]
			},			
		]
	});
	
	// Hide arrows from all cell headers to prevent cell collapse function
	mainLayout.forEachItem(function(cell){
		cell.hideArrow();
	});

	/* *******************************************************
		The way this is currently configured you will see 
		the following output in the console log.
		
		accItem_1
		accItem_2
		
		If you comment out lines 95 & 100 then un comment
		line 101 the console log will no loger show the 
		above output.
	******************************************************* */
	var data = '{skin: "dhx_skyblue", multi_mode: true, icons_path: "./codebase/imgs/", items: [{id: "accItem_1", height: 150, icon: "book.png", text: "Item 1"},{id: "accItem_2", height: "*", icon: "book.png", text: "Item 2"}]}';
	
	// Add Accordian to Menu cell
	var menuAccordion = mainLayout.cells("b").attachAccordion();
//	menuAccordion.loadStruct("data/main-menu.php");	// If you use this line of code the forEachItem does not work
	menuAccordion.loadStruct(data);	
	
	menuAccordion.forEachItem(function(cell){
		console.log(cell.getId()); // This should output the id of each cell in the accordion.
	});
	
	console.log('test');
	